Base32OutputStream (Encode/Decode Utilities (Version 1.10))
Date: 2016-03-08

org.apache.commons.codec.binary

## Class Base32OutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.commons.codec.binary.BaseNCodecOutputStream
      - - org.apache.commons.codec.binary.Base32OutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class Base32OutputStream
      extends BaseNCodecOutputStream

  Provides Base32 encoding and decoding in a streaming fashion (unlimited size). When encoding the default lineLength is 76 characters and the default lineEnding is CRLF, but these can be overridden by using the appropriate constructor.

  The default behaviour of the Base32OutputStream is to ENCODE, whereas the default behaviour of the Base32InputStream is to DECODE. But this behaviour can be overridden by using a different constructor.

  Since this class operates directly on byte streams, and not character streams, it is hard-coded to only encode/decode character encodings which are compatible with the lower 127 ASCII chart (ISO-8859-1, Windows-1252, UTF-8, etc).

  Note: It is mandatory to close the stream after the last byte has been written to it, otherwise the final padding will be omitted and the resulting data will be incomplete/inconsistent.

  Since:
    1.5
  Version:
    $Id: Base32OutputStream.java 1635952 2014-11-01 14:19:04Z tn $
  See Also:
    RFC 4648

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base32OutputStream(OutputStream out)` Creates a Base32OutputStream such that all data written is Base32-encoded to the original provided OutputStream.
    `Base32OutputStream(OutputStream out, boolean doEncode)` Creates a Base32OutputStream such that all data written is either Base32-encoded or Base32-decoded to the original provided OutputStream.
    `Base32OutputStream(OutputStream out, boolean doEncode, int lineLength, byte[] lineSeparator)` Creates a Base32OutputStream such that all data written is either Base32-encoded or Base32-decoded to the original provided OutputStream.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodecOutputStream

      `close, flush, write, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base32OutputStream

          public Base32OutputStream(OutputStream out)

      Creates a Base32OutputStream such that all data written is Base32-encoded to the original provided OutputStream.
      Parameters:
        `out` - OutputStream to wrap.

    - #### Base32OutputStream

          public Base32OutputStream(OutputStream out,
                            boolean doEncode)

      Creates a Base32OutputStream such that all data written is either Base32-encoded or Base32-decoded to the original provided OutputStream.
      Parameters:
        `out` - OutputStream to wrap.
        `doEncode` - true if we should encode all data written to us, false if we should decode.

    - #### Base32OutputStream

          public Base32OutputStream(OutputStream out,
                            boolean doEncode,
                            int lineLength,
                            byte[] lineSeparator)

      Creates a Base32OutputStream such that all data written is either Base32-encoded or Base32-decoded to the original provided OutputStream.
      Parameters:
        `out` - OutputStream to wrap.
        `doEncode` - true if we should encode all data written to us, false if we should decode.
        `lineLength` - If doEncode is true, each line of encoded data will contain lineLength characters (rounded down to nearest multiple of 4). If lineLength <= 0, the encoded data is not divided into lines. If doEncode is false, lineLength is ignored.
        `lineSeparator` - If doEncode is true, each line of encoded data will be terminated with this byte sequence (e.g. \r\n). If lineLength <= 0, the lineSeparator is not used. If doEncode is false lineSeparator is ignored.

commons-codec version 1.10 - Copyright © 2002-2016 - Apache Software Foundation